package yrpg.gmscm.rc.rcd.apply.list;

import kd.bos.form.CloseCallBack;
import kd.bos.form.FormShowParameter;
import kd.bos.form.ShowType;
import kd.bos.form.events.AfterDoOperationEventArgs;
import kd.bos.form.events.ClosedCallBackEvent;
import kd.bos.list.plugin.AbstractListPlugin;

/**
 * @author zhangjiawei
 * @date 2023/8/11 16:35
 * 打开向导界面
 */
public class OpenWizardListPlugin  extends AbstractListPlugin {
    @Override
    /*
     * 打开向导
     */
    public void afterDoOperation(AfterDoOperationEventArgs afterDoOperationEventArgs) {
        super.afterDoOperation(afterDoOperationEventArgs);
        String operateKey = afterDoOperationEventArgs.getOperateKey();
        if ("openwizard".equals(operateKey)) {
            FormShowParameter showParameter = new FormShowParameter();
            showParameter.setFormId("rm_rcd_wizard");
            showParameter.getOpenStyle().setShowType(ShowType.Modal);//打开方式
            showParameter.setCloseCallBack(new CloseCallBack(this, "rm_rcd_wizard"));
            this.getView().showForm(showParameter);
        }

    }

    @Override
    public void closedCallBack(ClosedCallBackEvent closedCallBackEvent) {
        if("rm_rcd_wizard".equals(closedCallBackEvent.getActionId())) {
            //刷新界面
            this.getView().invokeOperation("refresh");
        }
    }
}
