package yrpg.gmscm.rc.rcd.core.orm;

import java.io.Serializable;
import java.lang.reflect.Field;

public class FieldInfo implements Serializable {
    private static final long serialVersionUID = 1L;
    private Field field;
    private String name;
    private String entityName;
    private String tableName;
    private String aliasName;
    private Class<?> clazz;
    private EntityInfo entityInfo;
    private boolean exist = true;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getEntityName() {
        return entityName;
    }

    public String getAliasName() {
        return aliasName;
    }

    public void setAliasName(String aliasName) {
        this.aliasName = aliasName;
    }

    public void setEntityName(String entityName) {
        this.entityName = entityName;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public Class<?> getClazz() {
        return clazz;
    }

    public void setClazz(Class<?> clazz) {
        this.clazz = clazz;
    }

    public boolean isExist() {
        return exist;
    }

    public void setExist(boolean exist) {
        this.exist = exist;
    }

    public Field getField() {
        return field;
    }

    public void setField(Field field) {
        this.field = field;
    }

    public EntityInfo getEntityInfo() {
        return entityInfo;
    }

    public void setEntityInfo(EntityInfo entityInfo) {
        this.entityInfo = entityInfo;
    }

    @Override
    public String toString() {
        return "FieldInfo{" +
                "entityName='" + entityName + '\'' +
                '}';
    }
}
