package yrpg.gmscm.rc.rcd.tools;

import com.alibaba.fastjson.JSONObject;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.servicehelper.BusinessDataServiceHelper;

/**
 * @author zhangjiawei
 * @date 2023/9/8 8:36
 */
public class SaveRecalculationLog {

    public static DynamicObject saveProtocolChanged(JSONObject jsonObject, String calcBillNo,String remark){
        DynamicObject newConfigGoods = BusinessDataServiceHelper.newDynamicObject("rm_rc_protocol_changed");
        //单据状态
        newConfigGoods.set("billstatus", "C");
        //编码
        String billNo = GetFieldsHelper.getBillNo(newConfigGoods);
        newConfigGoods.set("billno", billNo);
        //条款编号
        newConfigGoods.set("rm_clause_no", calcBillNo);
        //执行状态
        newConfigGoods.set("rm_exec_status", "0");
        //加载状态
        newConfigGoods.set("rm_load_status", "0");
        //原因
        newConfigGoods.set("rm_recalculation_reason", remark);
        //其他
        jsonObject.forEach(newConfigGoods::set);
        return newConfigGoods;
    }
}
